import request from '/frontEnd/api/config/axios.js'
// 资方管理-客户支用信息-获取列表
export const getcustomerDisburseInfoList = (params) => (
  request({
    url: '/businessProcessingTask/doDifferenceList',
    method: 'get',
    params
  })
)

// 资方管理-客户支用信息-获取编辑详情
export const getcustomerDisburseInfoEditDetails = (params) => (
  request({
    url: 'financialCustomerExpenditure/edit',
    method: 'get',
    params
  })
)

// 资方管理-客户支用信息-编辑-提交(暂存)
export const customerDisburseInfoSubmit = (data) => (
  request({
    url: '/financialCustomerExpenditure/doEdit',
    method: 'post',
    data
  })
)

// 资方管理-客户支用信息-审核-提交
export const customerDisburseInfoExamineSubmit = (data) => (
  request({
    url: '/financialCustomerExpenditure/approval/doEdit',
    method: 'post',
    data
  })
)

// 资方管理-客户支用信息-资料下载
export const customerDisburseInfoDataDownload = (params) => (
  request({
    url: '/financialCustomerExpenditure/downloadFileZip',
    method: 'get',
    responseType: 'arraybuffer',
    params
  })
)

// 资方管理-客户支用信息-上传合同清单
export const customerDisburseInfoContract = (data) => (
  request({
    url: '/financialCustomerExpenditure/uploadContractList',
    method: 'post',
    data
  })
)
